summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Dominik Drobek2016-11-02 15:42:53 +0100
committer Willy Sudiarto Raharjo2016-11-02 16:53:12 +0100
commit8553cd4758a32f830e93bdc61d5011c8d700952a (patch)
treee7fc19a1e53a8c12321d596163beabc17e5b5498
parentaba79c277e03a3a2df8765b46eab6bba4741eeb6 (diff)
downloadslackbuilds-8553cd4758a32f830e93bdc61d5011c8d700952a.tar.gz
network/SoulseekQt: Added (Soulseek P2P network client).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--network/SoulseekQt/README2
-rw-r--r--network/SoulseekQt/SoulseekQt.SlackBuild81
-rw-r--r--network/SoulseekQt/SoulseekQt.desktop8
-rw-r--r--network/SoulseekQt/SoulseekQt.info10
-rw-r--r--network/SoulseekQt/SoulseekQt.pngbin0 -> 905 bytes
-rw-r--r--network/SoulseekQt/doinst.sh3
-rw-r--r--network/SoulseekQt/slack-desc19
7 files changed, 123 insertions, 0 deletions
diff --git a/network/SoulseekQt/README b/network/SoulseekQt/README
new file mode 100644
index 0000000000..941cad014a
--- /dev/null
+++ b/network/SoulseekQt/README
@@ -0,0 +1,2 @@
+SoulseekQt is the official client software for the Soulseek peer-to-peer
+file-sharing network.
diff --git a/network/SoulseekQt/SoulseekQt.SlackBuild b/network/SoulseekQt/SoulseekQt.SlackBuild
new file mode 100644
index 0000000000..5efa1b5624
--- /dev/null
+++ b/network/SoulseekQt/SoulseekQt.SlackBuild
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+# Slackware build script for SoulseekQt
+
+# Copyright 2016 Dominik Drobek <dominik.drobek (at) o2.pl>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=SoulseekQt
+VERSION=${VERSION:-20160117}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+FVER="2016-1-17"
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "x86_64" ]; then
+ TGZARCH="64bit"
+elif [ "$ARCH" = "arm" ]; then
+ printf "\n$ARCH is unsupported for $PRGNAM, exiting.\n\n"
+ exit 1
+else
+ TGZARCH="32bit"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir -p $TMP/$PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$FVER-$TGZARCH.tgz -C $TMP/$PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+
+mkdir -p $PKG/usr/{bin,share/{pixmaps,applications}}
+install -m 755 $PRGNAM-$FVER-$TGZARCH $PKG/usr/bin/$PRGNAM
+install -m 644 $CWD/SoulseekQt.png $PKG/usr/share/pixmaps
+install -m 644 $CWD/SoulseekQt.desktop $PKG/usr/share/applications
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/SoulseekQt/SoulseekQt.desktop b/network/SoulseekQt/SoulseekQt.desktop
new file mode 100644
index 0000000000..901b9e050c
--- /dev/null
+++ b/network/SoulseekQt/SoulseekQt.desktop
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Name=SoulseekQt
+Type=Application
+Comment=Official Soulseek client for Linux
+Exec=SoulseekQt
+TryExec=SoulseekQt
+Icon=SoulseekQt
+Categories=Network;P2P;
diff --git a/network/SoulseekQt/SoulseekQt.info b/network/SoulseekQt/SoulseekQt.info
new file mode 100644
index 0000000000..dc5017fc1a
--- /dev/null
+++ b/network/SoulseekQt/SoulseekQt.info
@@ -0,0 +1,10 @@
+PRGNAM="SoulseekQt"
+VERSION="20160117"
+HOMEPAGE="http://www.slsknet.org/"
+DOWNLOAD="https://www.dropbox.com/s/kebk1b5ib1m3xxw/SoulseekQt-2016-1-17-32bit.tgz"
+MD5SUM="906d99b15ed02d0d66981fffeeea1218"
+DOWNLOAD_x86_64="https://www.dropbox.com/s/7qh902qv2sxyp6p/SoulseekQt-2016-1-17-64bit.tgz"
+MD5SUM_x86_64="c843e748a129e4ad9461280aeb2b957a"
+REQUIRES=""
+MAINTAINER="Dominik Drobek"
+EMAIL="dominik.drobek@o2.pl"
diff --git a/network/SoulseekQt/SoulseekQt.png b/network/SoulseekQt/SoulseekQt.png
new file mode 100644
index 0000000000..35cc7296f7
--- /dev/null
+++ b/network/SoulseekQt/SoulseekQt.png
Binary files differ
diff --git a/network/SoulseekQt/doinst.sh b/network/SoulseekQt/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/network/SoulseekQt/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/network/SoulseekQt/slack-desc b/network/SoulseekQt/slack-desc
new file mode 100644
index 0000000000..47a5ac4adb
--- /dev/null
+++ b/network/SoulseekQt/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+SoulseekQt: SoulseekQt (Soulseek P2P network client)
+SoulseekQt:
+SoulseekQt: SoulseekQt is the official client software for the Soulseek
+SoulseekQt: peer-to-peer file-sharing network.
+SoulseekQt:
+SoulseekQt: Homepage: http://www.slsknet.org
+SoulseekQt:
+SoulseekQt:
+SoulseekQt:
+SoulseekQt:
+SoulseekQt: